#######################################################################
#                                                                     #
#                                 Pph                                 #
#                                                                     #
#                    The Portable Project Handler                     #
#                                                                     #
#                  projet Estime, INRIA-Rocquencourt                  #
#                                                                     #
#  Copyright 2005-2011 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: intrinsic_defaults.profile,v 1.6 2011-09-20 12:04:57 fclement Exp $

#
# Pph system intrinsic defaults.
# Used by the user and devel configuration and unconfiguration profiles.
#

# Pph pervasive tools.
PPH_CORE_PERVASIVE_TOOLS="htmlc"
PPH_DEVEL_PERVASIVE_TOOLS="bh ppa"
PPH_USER_PERVASIVE_TOOLS=""

# Pph pervasive filenames.
PROJECT_PATH_FILE=".Project_path"
USER_PREAMBLE_FILE=".User_preamble.pph"
DEVEL_PREAMBLE_FILE=".Devel_preamble.pph"

# Log file_names.
MAKE_PROJECT_ENV_LOG_FILE_NAME="$PROJECT_CONFIG_DIR/make_project_id.summary"
MAKE_EXAMPLE_HIERARCHY_LOG_FILE_NAME="$PROJECT_CONFIG_DIR/make_example_hierarchy.summary"
MAKE_CONFIGURE_DEVEL_LOG_FILE_NAME="$PROJECT_CONFIG_DIR/make_configure_devel.summary"
CONFIGURE_USER_LOG_FILE_NAME="$PROJECT_CONFIG_DIR/configure.summary"
MAKE_CONFIGURE_LOG_FILE_NAME="$PROJECT_CONFIG_DIR/make_configure.summary"

# Checkpoint files.
CONFIGURE_CHECKPOINT="configure.done"
CONFIGURE_DEVEL_CHECKPOINT="configure_devel.done"

# Other files.
CONFIGURE_OPTIONS_FILE_NAME="configure_command_line_args"
CONFIGURE_DEVEL_OPTIONS_FILE_NAME="configure_devel_command_line_args"

#
# Configuration intrinsic defaults.
#

# Installation root directory path.
INSTALL_ROOT_DIR_INTRINSIC_DEFAULT="/usr/local"

# Command search path.
PATH_ROOT_DIRS_INTRINSIC_DEFAULT="\
  /usr/local /usr /usr/pkg /usr/X11 /usr/X11R7 /usr/X11R6 /"
PATH_SUB_DIRS_INTRINSIC_DEFAULT="bin sbin games"

# Compilers and preprocessors.
C_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="cpp"
C_COMPILER_INTRINSIC_DEFAULT_LIST="icc gcc cc"
CPP_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="cpp"
CPP_COMPILER_INTRINSIC_DEFAULT_LIST="icpc g++"
FORTRAN_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="cpp"
FORTRAN_COMPILER_INTRINSIC_DEFAULT_LIST="ifort g77 gfortran g95 f77"
JAVA_COMPILER_INTRINSIC_DEFAULT_LIST="javac gcj"
MOCA_COMPILER_INTRINSIC_DEFAULT_LIST="mocac"
OCAML_PREPROCESSOR_INTRINSIC_DEFAULT_LIST="camlp5 camlp4"
OCAML_BYT_COMPILER_INTRINSIC_DEFAULT_LIST="ocamlc"
OCAML_BIN_COMPILER_INTRINSIC_DEFAULT_LIST="ocamlopt"

FALSE="false"

C_PREPROCESSOR="$FALSE"
C_COMPILER="$FALSE"
C_FLAGS_COMPILER_SPECIFIC="$FALSE"
C_FLAGS_ALL_WARNINGS="$FALSE"
C_FLAGS_WARN_ERROR="$FALSE"
CC_FLAGS_COMPILER_SPECIFIC="$FALSE"
CC_FLAGS_ALL_WARNINGS="$FALSE"
CC_FLAGS_WARN_ERROR="$FALSE"
GCC_FLAGS_COMPILER_SPECIFIC="$FALSE"
GCC_FLAGS_ALL_WARNINGS_GCC336="-Wall"
GCC_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GCC_FLAGS_WARN_ERROR="-Werror"
ICC_FLAGS_COMPILER_SPECIFIC="$FALSE"
ICC_FLAGS_ALL_WARNINGS="-Wall"
ICC_FLAGS_WARN_ERROR="-Werror"

CPP_PREPROCESSOR="$FALSE"
CPP_COMPILER="$FALSE"
CPP_FLAGS_COMPILER_SPECIFIC="$FALSE"
CPP_FLAGS_ALL_WARNINGS="$FALSE"
CPP_FLAGS_WARN_ERROR="$FALSE"
GPP_FLAGS_COMPILER_SPECIFIC="$FALSE"
GPP_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GPP_FLAGS_WARN_ERROR="-Werror"
ICPC_FLAGS_COMPILER_SPECIFIC="$FALSE"
ICPC_FLAGS_ALL_WARNINGS="-Wall -Wextra"
ICPC_FLAGS_WARN_ERROR="-Werror"

FORTRAN_PREPROCESSOR="$FALSE"
FORTRAN_COMPILER="$FALSE"
FORTRAN_FLAGS_COMPILER_SPECIFIC="$FALSE"
FORTRAN_FLAGS_ALL_WARNINGS="$FALSE"
FORTRAN_FLAGS_WARN_ERROR="$FALSE"
GFORTRAN_FLAGS_COMPILER_SPECIFIC="$FALSE"
GFORTRAN_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GFORTRAN_FLAGS_WARN_ERROR="-Werror"
G77_FLAGS_COMPILER_SPECIFIC="$FALSE"
G77_FLAGS_ALL_WARNINGS="-Wall -W"
G77_FLAGS_WARN_ERROR="-Werror"
IFORT_FLAGS_COMPILER_SPECIFIC="-nogen-interfaces"
IFORT_FLAGS_ALL_WARNINGS="-warn all"
IFORT_FLAGS_WARN_ERROR="$FALSE"

JAVA_COMPILER="$FALSE"
JAVA_FLAGS_COMPILER_SPECIFIC="$FALSE"
JAVA_FLAGS_ALL_WARNINGS="$FALSE"
JAVA_FLAGS_WARN_ERROR="$FALSE"
GCJ_FLAGS_COMPILER_SPECIFIC="$FALSE"
GCJ_FLAGS_ALL_WARNINGS="-Wall -Wextra"
GCJ_FLAGS_WARN_ERROR="-Werror"
JAVAC_FLAGS_COMPILER_SPECIFIC="$FALSE"
JAVAC_FLAGS_ALL_WARNINGS="$FALSE"
JAVAC_FLAGS_WARN_ERROR="$FALSE"

MOCA_COMPILER="$FALSE"

OCAML_PREPROCESSOR="$FALSE"
OCAML_PP_FLAGS_INTF="$FALSE"
OCAML_PP_FLAGS_IMPL="$FALSE"
CAMLP4_FLAGS_INTF="-intf"
CAMLP4_FLAGS_IMPL="-parser o -parser g -parser q -printer a -impl"
CAMLP5_FLAGS_INTF="-intf"
CAMLP5_FLAGS_IMPL="pa_o.cmo pr_dump.cmo -impl"
OCAML_BYT_COMPILER="$FALSE"
OCAML_BIN_COMPILER="$FALSE"
OCAML_DEP_GENERATOR="$FALSE"
OCAML_DOC_GENERATOR="$FALSE"
OCAML_TOP_GENERATOR="$FALSE"
OCAML_LIBRARIAN="$FALSE"
OCAML_LEX_GENERATOR="$FALSE"
OCAML_YAC_GENERATOR="$FALSE"

# Empty initialization of the _FROM_COMMAND_LINE variables.
INSTALL_ROOT_DIR_FROM_COMMAND_LINE=""
C_PREPROCESSOR_FROM_COMMAND_LINE=""
C_COMPILER_FROM_COMMAND_LINE=""
CPP_PREPROCESSOR_FROM_COMMAND_LINE=""
CPP_COMPILER_FROM_COMMAND_LINE=""
FORTRAN_PREPROCESSOR_FROM_COMMAND_LINE=""
FORTRAN_COMPILER_FROM_COMMAND_LINE=""
JAVA_COMPILER_FROM_COMMAND_LINE=""
MOCA_COMPILER_FROM_COMMAND_LINE=""
OCAML_INSTALLATION_DIR_FROM_COMMAND_LINE=""
OCAML_BYT_COMPILER_FROM_COMMAND_LINE=""
OCAML_BIN_COMPILER_FROM_COMMAND_LINE=""

# Operating modes.
QUIET_LEVEL=0
SUMMARY_LEVEL=1
REPORT_LEVEL=2
DEBUG_LEVEL=128
VERBOSITY_LEVEL=$QUIET_LEVEL
TRACE=false
DEBUG=false
REPORT=false
SUMMARY=false
SEE_YOU=false
