#/bin/sh
# $Id: test_fork.sh,v 1.3 2010-10-04 17:32:16 qcarbonn Exp $

# Quick & (really) Dirty fork tester.
# It aims to work both and Linux and BSD !

TMP_FILE=/tmp/tester.tmp

ocamlc -c streams.mli
ocamlc -c streams.ml
for f in fork tester; do
    echo "[Compiling $f ...]";
    if test \! -f $f; then
        ocamlc -o $f unix.cma streams.cmo $f.ml || exit
    fi
done

echo "Running tester in sender mode ..."
./tester -fs > $TMP_FILE &
sleep 1;
SERVER_PORT=`head -n 1 $TMP_FILE | sed -e 's/^.*:\([0-9]*\).*$/\1/'`

echo "Running the fork program ..."
echo 127.0.0.1:$SERVER_PORT | ./fork > $TMP_FILE.fork &
sleep 1;
PORT_PAIR=`cat $TMP_FILE.fork | sed -e 's/^[^:]*:\([0-9]*,\).*:\([0-9]*\).*$/\1\2/'`
PORT1=`echo $PORT_PAIR | awk -F , '{ print $1 }'`
PORT2=`echo $PORT_PAIR | awk -F , '{ print $2 }'`

echo "Running testers in receiver mode ...";
./tester -l 127.0.0.1:$PORT1 | grep Receive &
./tester -l 127.0.0.1:$PORT2 | grep Receive &

sleep 3
echo "End of test."

echo "[Cleaning directory ...]"
rm *.cm[io] fork tester $TMP_FILE $TMP_FILE.fork
