(***********************************************************************)
(*                                                                     *)
(*                          Sklml                                      *)
(*                                                                     *)
(*             Pierre Weis (Pierre.Weis@inria.fr)                      *)
(*             Francois Clement (Francois.Clement@inria.fr)            *)
(*             Quentin Carbonneaux (Quentin.Carbonneaux@inria.fr)      *)
(*                                                                     *)
(* This program is free software.                                      *)
(* (see the file LICENSE in the root directory of the distribution).   *)
(*                                                                     *)
(***********************************************************************)

(* $Id: spawnd_types.mli,v 1.6 2010-11-09 18:43:55 qcarbonn Exp $ *)

type slave_packet = {
   color : int
};;

type spawn_success = {
   worker_port : int
};;

type spawn_reply =
   | Spawn_success of spawn_success
   | Spawn_failure
;;

type closure_id = int;;

type spawn_request =
   | Spawn_loop of Iotree.ioatree * Iotree.ioatree
   | Spawn_pipe of Iotree.ioatree * Iotree.ioatree
   | Spawn_atom of Obj.t * closure_id
;;
